% ------------- DOKUMENTATION OF THIS FUNCTION -------------
%
% #DESCRIPTION:           Helper function to predefine some result
%                         variables and store them in a structure called EY
%
% #INPUT:                 sizeA - size of absorptance cell
%
% #OUTPUT:                see below
%
% #SAVED DATA:            -
%
% #REQUIRED SUBFUNCTIONS: -
%
% -----------------------------------------------------------
%
function [ EY ] = predef(sizeA)

    % Jsc in single cells for direct, diffuse, albedo and the sum of all
    [ EY.JscDirect,...
      EY.JscDiffuse,...
      EY.JscAlbedo,...
      EY.Jsc ]          = deal(zeros(8760,sizeA(1)));
    
    % single cells considered as single cell
    [ EY.Voc_SJ,...   
      EY.FF_SJ,...
      EY.JMPP_SJ,...
      EY.VMPP_SJ,...
      EY.Power_SJ ]     = deal(zeros(8760,sizeA(1)));
    
    % single cells in tandem config
    [ EY.Voc,...
      EY.FF,...
      EY.JMPP,...
      EY.VMPP,...
      EY.Power ]        = deal(zeros(8760,sizeA(1)));
    
    % tandem device
    [ EY.Voc_Tandem,...
      EY.FF_Tandem,...
      EY.JMPP_Tandem,...
      EY.VMPP_Tandem,...
      EY.Power_Tandem ] = deal(zeros(8760,1));

end

